<?php
/**
 * @package     plg_easyshop_wishlist
 * @version     1.0.0
 * @Author      Vu Mai - www.joomtech.net
 * @copyright   Copyright (C) 2016 - 2017 All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
extract($displayData);
?>
<div class="uk-overflow-auto">
    <table class="uk-table uk-table-small uk-table-striped">
        <thead>
        <tr>
            <th colspan="4">
                <div class="uk-heading-bullet">
                    <i class="fa fa-heart-o"></i>
					<?php echo JText::_('PLG_EASYSHOP_WISHLIST_PAGE'); ?>
                </div>
            </th>
        </tr>
        <tr>
            <th class="uk-table-shrink">#</th>
            <th class="uk-table-shrink">
				<?php echo JText::_('COM_EASYSHOP_IMAGE'); ?>
            </th>
            <th><?php echo JText::_('COM_EASYSHOP_PRODUCT_NAME'); ?></th>
            <th><?php echo JText::_('COM_EASYSHOP_PRICE'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
		<?php foreach ($products as $i => $product): ?>
            <tr>
                <td><?php echo sprintf('%02d', $i + 1); ?></td>
                <td uk-lightbox>
					<?php if (!empty($product->images[0]->tiny)): ?>
                        <a href="<?php echo $product->images[0]->large; ?>" type="image"
                           title="<?php echo htmlspecialchars($product->name . ': ' . $product->summary, ENT_COMPAT, 'UTF-8'); ?>">
                            <img src="<?php echo $product->images[0]->tiny; ?>"
                                 width="150"
                                 alt="<?php echo htmlspecialchars($product->name, ENT_COMPAT, 'UTF-8'); ?>"/>
                        </a>
					<?php endif; ?>
                </td>
                <td>
                    <a href="<?php echo $product->link; ?>" class="uk-link-reset">
						<?php echo $product->name; ?>
						<?php if (!empty($product->sku)): ?>
                            <i class="fa fa-barcode"></i>
							<?php echo $product->sku; ?>
						<?php endif; ?>
                    </a>
                </td>
                <td><?php echo $product->priceFormat; ?></td>
                <td class="uk-text-right">
                    <div class="uk-button-group"
                         data-wishlist-product-id="<?php echo $product->id; ?>">
                        <a href="#" class="uk-button-small uk-button-primary es-add-to-cart">
                            <i class="fa fa-shopping-cart"></i>
                        </a>
                        <span uk-spinner class="uk-hidden"></span>
                        <a href="#" class="uk-button-small uk-button uk-button-danger es-wishlist-remove">
                            <i class="fa fa-trash"></i>
                        </a>
                    </div>
                </td>
            </tr>
		<?php endforeach; ?>
        </tbody>
    </table>
</div>