<?php
/**
 * @package     plg_easyshop_wishlist
 * @version     1.0.0
 * @Author      Vu Mai - www.joomtech.net
 * @copyright   Copyright (C) 2016 - 2017 All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

easyshop('doc')->addScriptDeclaration('
	_es.$(document).ready(function($){
	    var doPostWishlist = function(type, productId, callBack){
	        $.ajax({
                url: "' . JUri::root(true) . '/index.php?option=com_ajax",
                type: "post",
                dataType: "json",
                data: {
                    plugin: "wishlist",
                    group: "easyshop",
                    format: "json",                   
                    productId: parseInt(productId),
                    type: type
                },
                success: function(response){
                    callBack(response);
                    if(response.success){    
                        var redirect = '.(isset($displayData['redirect']) ? 1 : 0).'; 
                        if(redirect || response.data[0].redirect){
                            if(redirect){
                                window.location.reload();
                            }else{
                                window.location.href = response.data[0].redirect;
                            }                            
                        }else{
	                        if($("body>.es-wishlist").length){
	                            $("body>.es-wishlist").remove();                            
	                        }
	                        $("body").append(response.data[0]);
	                        _es.uikit.modal("body>.es-wishlist>#es-wishlist").show();
                        }                        
                        
                    }else{
                        alert(response.message);
                    }              
                }
            });
	    };
        $("a[data-wishlist-product-id]").on("click", function(e){
            e.preventDefault();
            var a = $(this);
            a.empty().removeAttr("uk-icon").attr("uk-spinner", "");   
            doPostWishlist("add", a.data("wishlistProductId"), function(response){
                a.empty().removeClass("uk-spinner").removeAttr("uk-spinner").attr("uk-icon", "heart");
            });            
        });
        $(document).on("click", "div[data-wishlist-product-id] > a", function(e){
            e.preventDefault();
            var 
                a = $(this),
                productId = a.parent().data("wishlistProductId");
            if(a.hasClass("es-add-to-cart")){
                _es.cart.addItem(productId, -1);
            }else{
                a.siblings(".uk-hidden").removeClass("uk-hidden");
                doPostWishlist("remove", productId, function(response){});
            }
        });
    })');